/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 * Addresses for this party
 * @export
 * @interface PartyAddressDto
 */
export interface PartyAddressDto {
  /**
   *
   * @type {string}
   * @memberof PartyAddressDto
   */
  address: string;
  /**
   *
   * @type {string}
   * @memberof PartyAddressDto
   */
  network: string;
}

export function PartyAddressDtoFromJSON(json: any): PartyAddressDto {
  return PartyAddressDtoFromJSONTyped(json, false);
}

export function PartyAddressDtoFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): PartyAddressDto {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    address: json['address'],
    network: json['network'],
  };
}

export function PartyAddressDtoToJSON(value?: PartyAddressDto | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    address: value.address,
    network: value.network,
  };
}
